<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>TI  Graph Library   (TIGL): TIGLCommunicationSysMessage Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">TI  Graph Library   (TIGL)
   &#160;<span id="projectnumber">ver1.0</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Groups</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Pages</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="classSysMessage-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">TIGLCommunicationSysMessage Class Reference<div class="ingroups"><a class="el" href="group__comm__module.html">Communication</a> &#124; <a class="el" href="group__messages.html">Messages</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>core system message class definition  
 <a href="classSysMessage.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="tiglCommunicationSysMessage_8hpp_source.html">tiglCommunicationSysMessage.hpp</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a626db69028b8af17e9b4a65bb2ac355e"><td class="memTemplParams" colspan="2">template&lt;typename MESSAGE_TYPE &gt; </td></tr>
<tr class="memitem:a626db69028b8af17e9b4a65bb2ac355e"><td class="memTemplItemLeft" align="right" valign="top">&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classSysMessage.html#a626db69028b8af17e9b4a65bb2ac355e">TIGLCommunicationSysMessage</a> (SYS_MESSAGE_CODE code, uint_fast32_t dev, MESSAGE_TYPE *message)</td></tr>
<tr class="memdesc:a626db69028b8af17e9b4a65bb2ac355e"><td class="mdescLeft">&#160;</td><td class="mdescRight">constructor set the fields of the system message  <a href="#a626db69028b8af17e9b4a65bb2ac355e">More...</a><br /></td></tr>
<tr class="separator:a626db69028b8af17e9b4a65bb2ac355e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7b8abe46918446ab4b2d3e73c78f38b1"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSysMessage.html#a7b8abe46918446ab4b2d3e73c78f38b1">TIGLCommunicationSysMessage</a> (SYS_MESSAGE_CODE code, uint_fast32_t dev)</td></tr>
<tr class="memdesc:a7b8abe46918446ab4b2d3e73c78f38b1"><td class="mdescLeft">&#160;</td><td class="mdescRight">overloaded constructor for system messages that do not have a body  <a href="#a7b8abe46918446ab4b2d3e73c78f38b1">More...</a><br /></td></tr>
<tr class="separator:a7b8abe46918446ab4b2d3e73c78f38b1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7acf59b14d347dfbcdd3e49d78e919d4"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSysMessage.html#a7acf59b14d347dfbcdd3e49d78e919d4">TIGLCommunicationSysMessage</a> ()</td></tr>
<tr class="memdesc:a7acf59b14d347dfbcdd3e49d78e919d4"><td class="mdescLeft">&#160;</td><td class="mdescRight">overloaded constructor for an system message  <a href="#a7acf59b14d347dfbcdd3e49d78e919d4">More...</a><br /></td></tr>
<tr class="separator:a7acf59b14d347dfbcdd3e49d78e919d4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab542414656e44685e12dd8955ead1f73"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab542414656e44685e12dd8955ead1f73"></a>
SYS_MESSAGE_CODE&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSysMessage.html#ab542414656e44685e12dd8955ead1f73">getMessageCode</a> ()</td></tr>
<tr class="memdesc:ab542414656e44685e12dd8955ead1f73"><td class="mdescLeft">&#160;</td><td class="mdescRight">returns the system message code <br /></td></tr>
<tr class="separator:ab542414656e44685e12dd8955ead1f73"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6fb72a79bfd4c5ed0051ca3904971266"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6fb72a79bfd4c5ed0051ca3904971266"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSysMessage.html#a6fb72a79bfd4c5ed0051ca3904971266">hasBody</a> ()</td></tr>
<tr class="memdesc:a6fb72a79bfd4c5ed0051ca3904971266"><td class="mdescLeft">&#160;</td><td class="mdescRight">checks if the message has a body <br /></td></tr>
<tr class="separator:a6fb72a79bfd4c5ed0051ca3904971266"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adcfb3ca8268fb9f94b29c33a753da1bd"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="adcfb3ca8268fb9f94b29c33a753da1bd"></a>
uint_fast32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSysMessage.html#adcfb3ca8268fb9f94b29c33a753da1bd">getSizeInBytes</a> ()</td></tr>
<tr class="memdesc:adcfb3ca8268fb9f94b29c33a753da1bd"><td class="mdescLeft">&#160;</td><td class="mdescRight">reading the variable-size message body <br /></td></tr>
<tr class="separator:adcfb3ca8268fb9f94b29c33a753da1bd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1859967d8f5ee1d694da2bab031b2536"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1859967d8f5ee1d694da2bab031b2536"></a>
uint_fast32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSysMessage.html#a1859967d8f5ee1d694da2bab031b2536">getDst</a> ()</td></tr>
<tr class="memdesc:a1859967d8f5ee1d694da2bab031b2536"><td class="mdescLeft">&#160;</td><td class="mdescRight">reading teh destination device <br /></td></tr>
<tr class="separator:a1859967d8f5ee1d694da2bab031b2536"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aef4434f4a3277f019f14c448e343ed5a"><td class="memItemLeft" align="right" valign="top">uint_fast32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSysMessage.html#aef4434f4a3277f019f14c448e343ed5a">pack</a> (uint8_t *buf)</td></tr>
<tr class="memdesc:aef4434f4a3277f019f14c448e343ed5a"><td class="mdescLeft">&#160;</td><td class="mdescRight">packing the system message into bytes  <a href="#aef4434f4a3277f019f14c448e343ed5a">More...</a><br /></td></tr>
<tr class="separator:aef4434f4a3277f019f14c448e343ed5a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae51bb10c3980d6820210ac36f088f157"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSysMessage.html#ae51bb10c3980d6820210ac36f088f157">unpack</a> (uint8_t *buf, uint_fast32_t numBytes)</td></tr>
<tr class="memdesc:ae51bb10c3980d6820210ac36f088f157"><td class="mdescLeft">&#160;</td><td class="mdescRight">unpacking a system message to the object fields  <a href="#ae51bb10c3980d6820210ac36f088f157">More...</a><br /></td></tr>
<tr class="separator:ae51bb10c3980d6820210ac36f088f157"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abb76b90df5f97135b53a2a815163f8cc"><td class="memTemplParams" colspan="2">template&lt;typename MESSAGE_TYPE &gt; </td></tr>
<tr class="memitem:abb76b90df5f97135b53a2a815163f8cc"><td class="memTemplItemLeft" align="right" valign="top">bool&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classSysMessage.html#abb76b90df5f97135b53a2a815163f8cc">readMessageBody</a> (MESSAGE_TYPE *message)</td></tr>
<tr class="memdesc:abb76b90df5f97135b53a2a815163f8cc"><td class="mdescLeft">&#160;</td><td class="mdescRight">converting a packed format to a customized message format  <a href="#abb76b90df5f97135b53a2a815163f8cc">More...</a><br /></td></tr>
<tr class="separator:abb76b90df5f97135b53a2a815163f8cc"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:aa67168daf8848766380190abd3bdcdf9"><td class="memItemLeft" align="right" valign="top">SYS_MESSAGE_CODE&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSysMessage.html#aa67168daf8848766380190abd3bdcdf9">messageCode</a></td></tr>
<tr class="separator:aa67168daf8848766380190abd3bdcdf9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a07307cee37b9a826634e4945cc1fc0b0"><td class="memItemLeft" align="right" valign="top">vector&lt; uint8_t &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSysMessage.html#a07307cee37b9a826634e4945cc1fc0b0">messageBody</a></td></tr>
<tr class="separator:a07307cee37b9a826634e4945cc1fc0b0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6cc5368dcf6a65a113518f3f98613363"><td class="memItemLeft" align="right" valign="top">uint_fast32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSysMessage.html#a6cc5368dcf6a65a113518f3f98613363">otherDevice</a></td></tr>
<tr class="separator:a6cc5368dcf6a65a113518f3f98613363"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>core system message class definition </p>
<ul>
<li>It handles all the system message fields and processing </li>
</ul>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a626db69028b8af17e9b4a65bb2ac355e"></a>
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename MESSAGE_TYPE &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">TIGLCommunicationSysMessage::TIGLCommunicationSysMessage </td>
          <td>(</td>
          <td class="paramtype">SYS_MESSAGE_CODE&#160;</td>
          <td class="paramname"><em>code</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint_fast32_t&#160;</td>
          <td class="paramname"><em>dev</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">MESSAGE_TYPE *&#160;</td>
          <td class="paramname"><em>message</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>constructor set the fields of the system message </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">code</td><td>system message </td></tr>
    <tr><td class="paramname">dev</td><td>destination device </td></tr>
    <tr><td class="paramname">message</td><td>pointer to message content </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a7b8abe46918446ab4b2d3e73c78f38b1"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">TIGLCommunicationSysMessage::TIGLCommunicationSysMessage </td>
          <td>(</td>
          <td class="paramtype">SYS_MESSAGE_CODE&#160;</td>
          <td class="paramname"><em>code</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint_fast32_t&#160;</td>
          <td class="paramname"><em>dev</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>overloaded constructor for system messages that do not have a body </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">code</td><td>system message </td></tr>
    <tr><td class="paramname">dev</td><td>destination device </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a7acf59b14d347dfbcdd3e49d78e919d4"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">TIGLCommunicationSysMessage::TIGLCommunicationSysMessage </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>overloaded constructor for an system message </p>
<p>empty message to be filled by the unpack procedure </p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="aef4434f4a3277f019f14c448e343ed5a"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">uint_fast32_t TIGLCommunicationSysMessage::pack </td>
          <td>(</td>
          <td class="paramtype">uint8_t *&#160;</td>
          <td class="paramname"><em>buf</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>packing the system message into bytes </p>
<p>the packed message contains the message code and the message body </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">buf</td><td>output buffer for packed message </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>the message size in bytes </dd></dl>

</div>
</div>
<a class="anchor" id="abb76b90df5f97135b53a2a815163f8cc"></a>
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename MESSAGE_TYPE &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool TIGLCommunicationSysMessage::readMessageBody </td>
          <td>(</td>
          <td class="paramtype">MESSAGE_TYPE *&#160;</td>
          <td class="paramname"><em>message</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>converting a packed format to a customized message format </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">message</td><td>pointer to the output message buffer </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>true if success, otherwise if failed </dd></dl>

</div>
</div>
<a class="anchor" id="ae51bb10c3980d6820210ac36f088f157"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void TIGLCommunicationSysMessage::unpack </td>
          <td>(</td>
          <td class="paramtype">uint8_t *&#160;</td>
          <td class="paramname"><em>buf</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint_fast32_t&#160;</td>
          <td class="paramname"><em>numBytes</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>unpacking a system message to the object fields </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">buf</td><td>input buffer for the packed message </td></tr>
    <tr><td class="paramname">numBytes</td><td>the size in bytes of the packed message </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a class="anchor" id="a07307cee37b9a826634e4945cc1fc0b0"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">vector&lt;uint8_t&gt; TIGLCommunicationSysMessage::messageBody</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">message</td><td>body in bytes </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="aa67168daf8848766380190abd3bdcdf9"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">SYS_MESSAGE_CODE TIGLCommunicationSysMessage::messageCode</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">code</td><td>of the system message </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a6cc5368dcf6a65a113518f3f98613363"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">uint_fast32_t TIGLCommunicationSysMessage::otherDevice</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">the</td><td>destination device </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/home/mohamed/code/tigl/src/common/communication/<a class="el" href="tiglCommunicationSysMessage_8hpp_source.html">tiglCommunicationSysMessage.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Tue Mar 3 2015 18:17:03 for TI  Graph Library   (TIGL) by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.7
</small></address>
</body>
</html>
